Mattermost, Inc.

Mattermost-mobile | make build-android fail in gradle step

Hi !

In mattermost-mobile

fastlane/.env file:
export BUILD_FOR_RELEASE=true
export APP_NAME=“Flow+”
export MAIN_APP_IDENTIFIER=com.lateco.flowplus

Run make build-android

I getting errors in gradle step:

Deprecated Gradle features were used in this build, making it incompatible with Gradle 6.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/5.2.1/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 1m 9s
356 actionable tasks: 320 executed, 36 up-to-date

Makefile:189: recipe for target 'build-android' failed
make: *** [build-android] Error 1

Thanks for your help !

Hi @sebaripari,

Would you be open to joining our community server’s Native Mobile Apps channel and asking about this there? Our community and developers are more active there and will most likely have an idea on how to help you.

1 Like

Im fix the problem.

My problem was that package_name inside in google-services.json dit not match with in faslane/.env

Thanks @amy.blais